Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util.search
Class SearchNode.NextNodeIterator

    java.lang.Object
      cc.mallet.util.search.SearchNode.NextNodeIterator

All Implemented Interfaces:
  java.util.Iterator

Direct Known Subclasses:
  AStarNode.NextNodeIterator

Enclosing class:
  SearchNode

    public class SearchNode.NextNodeIterator

extends java.lang.Object
implements java.util.Iterator

This iterator generates search nodes that refer to the states reachable from the state pertaining to a this search node.

Constructor Summary
`protected` | `SearchNode.NextNodeIterator()`

Method Summary
`double` | `cost()` The cost associated to the transition from the previous state to this state.
`protected SearchState.NextStateIterator` | `getStateIter()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`SearchNode` | `nextNode()` The search tree node for the next state reached from the current state.
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchNode.NextNodeIterator

    protected SearchNode.NextNodeIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### nextNode

    public SearchNode nextNode()

  The search tree node for the next state reached from the current state.

  Returns:
    a new search tree node

### cost

    public double cost()

  The cost associated to the transition from the previous state to this state.

  Returns:
    the cost

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### getStateIter

    protected SearchState.NextStateIterator getStateIter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD